## etherwake 1.06-2

=== Makefile ===
CFLAGS 	= -Wall
INSTALL = /usr/bin/install
CC 	= gcc

all: 
	$(CC) $(CFLAGS) -o ether-wake ether-wake.c

clean:
	rm ether-wake
	
install:
	$(INSTALL) ether-wake $(DESTDIR)/usr/sbin

=== debian/changelog ===
etherwake (1.06-2) unstable; urgency=low

  * Reamped description to explain what WOL is (Closes: #135420).
  * Reamped manpage a bit.
  * Upped Standart Version to 3.5.6.0.

 -- Alain Schroeder <alain@debian.org>  Sun, 24 Feb 2002 00:45:07 +0100

etherwake (1.06-1) unstable; urgency=low

  * New Upstream.

 -- Alain Schroeder <alain@parkautomat.net>  Fri, 15 Feb 2002 19:15:07 +0100

etherwake (1.05-6) unstable; urgency=low

  * Fix etherwake to use sockets correctly - removes "uses obsolete
    (PF_INET,SOCK_PACKET)" message. (Closes: #111681)

 -- Alain Schroeder <alain@debian.org>  Sat, 22 Dec 2001 21:51:06 +0100

etherwake (1.05-5) unstable; urgency=low

  * Improve description again. (Closes: #124604)

 -- Alain Schroeder <alain@debian.org>  Sat, 22 Dec 2001 20:22:16 +0100

etherwake (1.05-4) unstable; urgency=low

  * Removed more typos in description. (Again thanks to Carlos Valdivia
    Yage)

 -- Alain Schroeder <alain@debian.org>  Thu, 10 May 2001 15:55:48 +0200
 

etherwake (1.05-3) unstable; urgency=low

  * Removed typo in description. (Closes: #95946)

 -- Alain Schroeder <alain@debian.org>  Tue,  1 May 2001 21:14:41 +0200

etherwake (1.05-2) unstable; urgency=low

  * Upload with diff. It was incidentally uploaded as a native 
    Debian package.
  * Fixed issues with new libc. The old sys/socket.h did not include
    bits/uio.h, which it does now. This unfortunately causes that
    ether-wake wasnt build anymore. I just commented specific part as
    a quick fix for now. It seems that everything works even with the old
    libc, closes #87014.

 -- Alain Schroeder <alain@debian.org>  Fri, 23 Feb 2001 00:27:02 +0100

etherwake (1.05-1) unstable; urgency=low

  * New upstream (help was added).
  * Modified manpage to reflect upstream changes.
  * Changed binary name to original.

 -- Alain Schroeder <alain@debian.org>  Tue, 20 Feb 2001 11:39:03 +0100

etherwake (1.03-1) unstable; urgency=low

  * Added a manpage.
  * Added a Makefile.
  * Initial Release.

 -- Alain Schroeder <alain@debian.org>  Thu,  7 Dec 2000 10:00:24 +0100

=== debian/control ===
Source: etherwake
Section: net
Priority: optional
Maintainer: Alain Schroeder <alain@debian.org>
Build-Depends: debhelper
Standards-Version: 3.5.6.0

Package: etherwake
Architecture: any
Depends: ${shlibs:Depends}
Description: A little tool to send magic Wake-on-LAN packets
 You can wake up WOL compliant Computers which have been powered down to
 sleep mode or start WOL compliant Computers with a BIOS feature.
 .
 WOL is an abbreviation for Wake-on-LAN. It is a standard that allows you 
 to turn on a computer from another location over a network connection.
 .
 etherwake also supports WOL passwords.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=2

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/etherwake.sgml > etherwake.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
#	Fix below...
#	mkdir -p debian/tmp/usr/sbin

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=`pwd`/debian/etherwake


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
	dh_installmanpages
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
#	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## etherwake 1.09

=== debian/changelog ===
etherwake (1.09-5) unstable; urgency=medium

  * Team upload of Debian team

  [ Jelmer Vernooĳ ]
  * Migrate repository from alioth to salsa.

  [ Andreas Tille ]
  * Use Homepage from wayback machine
  * Fake watch file to pass uscan without error
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * d/rules is no sample
  * Enable hardening options
  * DEP5

  [ наб ]
  * d/control: Recommends: libcap2-bin. d/postinst: setcap cap_net_raw+ep
    Closes: #797372
  * Use the first available interface instead of always eth0
    Closes: #816411
  * Format MAC addresses correctly
    Closes: #1082673

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Tue, 24 Sep 2024 17:48:04 +0200

etherwake (1.09-4) unstable; urgency=low

  * Adopt package. (Closes: #726546)
  * Fix typo and grammar description field. (Closes: #567517)
  * Streamline rules file with dh command.
  * Enable hardening.
  * Add empty watch file.
  * Change package source format to 3 (quilt).
  * Bump Standars version to 3.9.4.

 -- Pierre Blanc <pierreblanc75@gmail.com>  Thu, 17 Oct 2013 23:27:17 +0200

etherwake (1.09-3) unstable; urgency=low

  * Adopt package. (Closes: #540998)
  * Add Depends on ${misc:Depends}.
  * Don't use DH_COMPAT any more, but debian/compat.
  * Don't ignore error on make clean.
  * Clean up debian/rules; remove unused dh_foo calls.
  * Remove empty maintainer scripts.
  * Makefile: clean doesn't bail out, if etherwake doesn't exist.
  * Bump Standards to 3.8.3 (no further changes needed).

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Mon, 18 Jan 2010 23:14:51 +0100

etherwake (1.09-2) unstable; urgency=low

  * Use the name 'etherwake', not 'ether-wake' in program messages.
    (Closes: #342604)
  * Include wakeonlan in description and recommends. (Closes: #422531)

 -- Alain Schroeder <alain@debian.org>  Mon, 18 Jun 2007 23:13:28 +0200

etherwake (1.09-1) unstable; urgency=low

  * New upstream release.

 -- Alain Schroeder <alain@debian.org>  Sun, 10 Jul 2005 20:53:02 +0200

etherwake (1.08-1) unstable; urgency=low

  * New upstream release.
    - improves help texts
    - cleans (PF_INET,SOCK_PACKET) problems. (Closes: #171051)
  * Rename ether-wake.8 to etherwake.8. (Closes: #185134)
  * Revise the manpage. (Closes: #179290)
  * Clean my helptext from multiline strings. Thanks to Daniel Schepler
    <schepler@math.berkeley.edu>. (Closes: #194909)
  * Bump Standards version to 3.5.10.0.

 -- Alain Schroeder <alain@debian.org>  Fri,  6 Jun 2003 21:02:11 +0200

=== debian/control ===
Source: etherwake
Section: net
Priority: optional
Maintainer: Pierre Blanc <pierreblanc75@gmail.com>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/debian/etherwake.git
Vcs-Browser: https://salsa.debian.org/debian/etherwake
Homepage: https://web.archive.org/web/20060411015205/http://www.scyld.com/wakeonlan.html
Rules-Requires-Root: no

Package: etherwake
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: wakeonlan, libcap2-bin
Description: tool to send magic Wake-on-LAN packets
 WOL (Wake-on-LAN) is a standard that allows you to turn on a computer
 over an Ethernet connection. Computers with WOL-enabled network
 interface cards can be woken from sleep mode, or powered up from
 standby via a BIOS feature.
 .
 One feature that separates etherwake from other implementations is that
 it also supports WOL passwords.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

=== debian/watch ===
# This software was downloaded from:
# http://www.scyld.com/expert/wake-on-lan.html
# However, the upstream website does no longer exist

version=4
opts=dversionmangle=s/.*/0.No-Site/ \
 https://people.debian.org/~eriberto/ FakeWatchNoUpstreamSiteForThisPackage-(\d\S+)\.gz
